diff -u -r icu/source/common/unicode/utypes.h icu.new/source/common/unicode/utypes.h
--- icu/source/common/unicode/utypes.h	2005-06-28 23:18:08.000000000 +0100
+++ icu.new/source/common/unicode/utypes.h	2006-08-09 17:09:09.000000000 +0100
@@ -706,6 +706,11 @@
     U_REGEX_INVALID_FLAG,                 /**< Invalid value for match mode flags.                */
     U_REGEX_LOOK_BEHIND_LIMIT,            /**< Look-Behind pattern matches must have a bounded maximum length.    */
     U_REGEX_SET_CONTAINS_STRING,          /**< Regexps cannot have UnicodeSets containing strings.*/
+    U_REGEX_UNKNOWN_GROUP_NAME,           /**< Unrecognized group name.                           */
+    U_REGEX_UNTERMINATED_GROUP_NAME,      /**< Unterminated group name.                           */
+    U_REGEX_DUPLICATE_GROUP_NAME,         /**< Group names in a regexp must be unique.            */
+    U_REGEX_BAD_GROUP_NAME,               /**< Bad group name in regexp.                          */
+    U_REGEX_TOO_MANY_BRANCHES,            /**< Conditional expression contains too many branches  */
     U_REGEX_ERROR_LIMIT,                  /**< This must always be the last value to indicate the limit for regexp errors */
 
     /*
diff -u -r icu/source/common/utypes.c icu.new/source/common/utypes.c
--- icu/source/common/utypes.c	2005-07-12 21:32:00.000000000 +0100
+++ icu.new/source/common/utypes.c	2006-08-09 17:09:01.000000000 +0100
@@ -154,7 +154,12 @@
     "U_REGEX_INVALID_BACK_REF",
     "U_REGEX_INVALID_FLAG",
     "U_REGEX_LOOK_BEHIND_LIMIT",
-    "U_REGEX_SET_CONTAINS_STRING"
+    "U_REGEX_SET_CONTAINS_STRING",
+    "U_REGEX_UNKNOWN_GROUP_NAME",
+    "U_REGEX_UNTERMINATED_GROUP_NAME",
+    "U_REGEX_DUPLICATE_GROUP_NAME",
+    "U_REGEX_BAD_GROUP_NAME",
+    "U_REGEX_TOO_MANY_BRANCHES"
 };
 /* TODO: replace the definition with _uIDNAErrorName[U_IDNA_ERROR_LIMIT - U_IDNA_ERROR_START ]
  * in ICU 3.6
